Apache JMeter

## org.apache.jmeter.samplers
Class DataStrippingSampleSender

    java.lang.Object
      org.apache.jmeter.samplers.DataStrippingSampleSender

All Implemented Interfaces:
  Serializable, SampleSender

    public class DataStrippingSampleSender

extends Object
implements SampleSender, Serializable

The standard remote sample reporting should be more friendly to the main purpose of remote testing - which is scalability. To increase scalability, this class strips out the response data before sending.

See Also:
  Serialized Form

Constructor Summary
`DataStrippingSampleSender()` Deprecated. only for use by test code

Method Summary
`void` `sampleOccurred(SampleEvent event)` A sample occurred
`void` `testEnded()` The test ended
`void` `testEnded(String host)` The test ended

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataStrippingSampleSender

    @Deprecated
    public DataStrippingSampleSender()

  Deprecated. only for use by test code

Method Detail

### testEnded

    public void testEnded()

  Description copied from interface: `SampleSender`
  The test ended

  Specified by:
    `testEnded` in interface `SampleSender`

### testEnded

    public void testEnded(String host)

  Description copied from interface: `SampleSender`
  The test ended

  Specified by:
    `testEnded` in interface `SampleSender`
  Parameters:
    `host` - the host that the test ended on.

### sampleOccurred

    public void sampleOccurred(SampleEvent event)

  Description copied from interface: `SampleSender`
  A sample occurred

  Specified by:
    `sampleOccurred` in interface `SampleSender`
  Parameters:
    `event` - a Sample Event

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.